@tailwind base;
@tailwind components;
@tailwind utilities;
@import url('../../public/dist/css/font.css');
:root {
  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;
  }
}
body {
  color: rgb(var(--foreground-rgb));
  background: linear-gradient(
      to bottom,
      transparent,
      rgb(var(--background-end-rgb))
    )
    rgb(var(--background-start-rgb));
}
.mega-menu {
  opacity:0;
  visibility:hidden;
  z-index: -900;
  left: 0;
  position: absolute;
  text-align: left;
  width: 100%;
  transition: all 0.15s linear 0.30s;
}

/* #hoverable Class Styles */
/* style untuk font-size,family */
.hoverable {
  color : #1B1072;
  position: static;
  font-size: medium;
}

.hoverable:hover .mega-menu {
  margin-top: 1.1em;
  opacity:2;
  visibility:visible;
  z-index: 900;
  transition: 1s;
}


/* #toggle Class Styles */

.toggleable > label:after {
  content: "\25BC";
  font-size: 10px;
  padding-left: 6px;
  position: relative;
  top: -1px;
}

.toggle-input {
  display: none;
}
.toggle-input:not(checked) ~ .mega-menu {
  opacity:0;
  visibility:hidden;
  z-index: -900;
}

.toggle-input:checked ~ .mega-menu {
  opacity:1;
  visibility:visible;
  z-index: 900;
}

.toggle-input:checked + label {
  color: white;
  background: rgb(3, 102, 114); /*@apply bg-teal-700 */
}

.toggle-input:checked ~ label:after {
  content: "\25B2";
  font-size: 10px;
  padding-left: 6px;
  position: relative;
  top: -1px;
}

.button {
  display: inline-block;
  padding: 10px 20px;
  background-color: #c91205;
  color: #ffffff;
  text-decoration: none;
  border-radius: 5px;
  font-weight: bold;
  cursor: pointer;
}

.buttonsm {
  display: inline-block;
  padding: 5px 10px;
  background-color: #d10000;
  color: #ffffff;
  text-decoration: none;
  border-radius: 5px;
  font-weight: bold;
  cursor: pointer;
}
.button:hover {
  background-color: #e93529;
}

.button-primary {
  background-color: #1B1072;
  color: #ffffff;
  font-family: 'proxima nova regular';
}
.fontsectioncap {
  font-family: 'futurabold',bold ;
  font-size:  clamp(30px,8vw,110px);
}

.font-banner {
  font-family: 'futurabold';
  font-size:  clamp(20px,4vw,60px);
}
.font-bannersm {
  font-family: 'futurabold';
  font-size:  clamp(28px,4vw,20px);
}

/* Title dan judul */
.font-title {
  font-family: 'futura';
  /* color : #1B1072; */
}

.font-titlea {
  font-family: 'futurabold';
  /* color : #1B1072; */
}

/* untuk primary */
.font-primary {
  color : #1B1072;
  font-family : 'proxima';
}

.font-body {
  font-family: 'proxima',sans-serif;
}

/* style parser */

.font-container-margin {
  margin-bottom: 6px;
}

.font-container-margin-heading-seconds {
  margin-bottom: 20px;
}

.font-container-content-heading-seconds {
  line-height: 1.6;
  font-weight: bold;
  letter-spacing: 0em;
  color: #1B1072;
  font-size: 30px;
  font-family: 'futurabold', sans-serif;
  word-break: break-word;
}

@media (max-width: 600px) {
  .font-container-content-heading-seconds {
    line-height: 1.6;
    font-weight: bold;
    letter-spacing: 0em;
    color: #1B1072;
    font-size: 18px;
    font-family: 'futurabold', sans-serif;
    word-break: break-word;
    margin-bottom: 10px;
  }
}

.font-container-content {
  font-weight: 400;
  color: black;
  font-size: 20px;
  font-family: 'proxima', sans-serif;
  word-break: break-word;
  font-weight: 400;
  line-height: 1.6;
}

.font-container-ul {
  list-style-type: disc;
  padding-left: 30px;
  font-weight: 400;
  color: black;
  font-size: 20px;
  font-family: 'proxima', sans-serif;
  word-break: break-word;
  font-weight: 400;
  line-height: 1.6;
}

.font-container-ol {
  list-style-type: decimal;
  padding-left: 30px;
  font-weight: 400;
  color: black;
  font-size: 20px;
  font-family: 'proxima', sans-serif;
  word-break: break-word;
  font-weight: 400;
  line-height: 1.6;
}

.li {
  list-style-position: inside; 
}

@media (max-width: 600px) {
  .font-container-content {
    line-height: 1.6;
    font-size: 16px;
    font-weight: 400;
    letter-spacing: 0px;
    color: black;
    word-break: break-word;
    font-family: 'proxima', sans-serif;
  }

  .font-container-ul {
    list-style-type: disc;
    padding-left: 20px;
    font-weight: 400;
    color: black;
    font-size: 20px;
    font-family: 'proxima', sans-serif;
    word-break: break-word;
    font-weight: 400;
    line-height: 1.6;
  }
  
  .font-container-ol {
    list-style-type: decimal;
    padding-left: 20px;
    font-weight: 400;
    color: black;
    font-size: 20px;
    font-family: 'proxima', sans-serif;
    word-break: break-word;
    font-weight: 400;
    line-height: 1.6;
  }
}

.slick-next {
  top:10px;
  right: 20px;
  display: none;
}

.slick-next:before {
  display: none;
}

.slick-prev:before {
  display: none;
}

/* SPIN LOADER */
.circle {
  box-sizing: border-box;
  width: 80px;
  height: 80px;
  border-radius: 100%;
  border: 10px solid rgba(21, 53, 235, 0.082);
  border-top-color: #1B1072;
  animation: spin 1s infinite linear;
}

@keyframes spin { 
  100% { 
    transform: rotate(360deg); 
  } 
}
/* END SPIN LOADER */

/* Tambahkan efek paralaks ke gambar */
.parallax-img {
  position: relative;
  overflow: hidden;
}

.parallax-img img {
  width: 100%;
  display: block;
  transform: translate3d(0, 0, 0);
  transition: transform 0.5s ease;
}

/* Efek paralaks saat discroll */
.parallax-img.scrolled img {
  transform: translateY(-50%);
}